Skip to main content
POST
Create Pulse Dashboard Attachment Upload URL

Path Parameters

artifactId
string<uuid>
required

Body

application/json
filename
string
required

Name of the file being attached, without any path segments

Required string length: 1 - 255
mime_type
string
required

MIME type of the file, e.g. text/html or image/png

Required string length: 1 - 127
size_bytes
integer
required

Size of the file in bytes (max 25MB)

Required range: 0 <= x <= 26214400

Response

Default Response

attachment_id
string<uuid>
required

Echo this back in the message body's attachments array

sandbox_id
string
required

Sandbox the file will be uploaded into

sandbox_path
string
required

Absolute path the file will occupy inside the sandbox

upload_url
string<uri>
required

Presigned URL to POST the file bytes to as multipart form data

Maximum string length: 2048
expires_in_seconds
integer
required

Seconds until upload_url stops being accepted

Required range: x <= 9007199254740991